Subject: Re: [PATCH v4 10/10] bnxt: Create an auxiliary device for fwctl_bnxt

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 7 Feb 2025 08:46:24 -0400

On Thu, Feb 06, 2025 at 10:17:58PM -0500, Andy Gospodarek wrote:
> On Thu, Feb 6, 2025 at 7:44 PM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Thu,  6 Feb 2025 20:13:32 -0400 Jason Gunthorpe wrote:
> > > From: Andy Gospodarek <[email-masked]>
> > >
> > > Signed-off-by: Andy Gospodarek <[email-masked]>
> > > Signed-off-by: Jason Gunthorpe <[email-masked]>
> >
> > This is only needed for RDMA, why can't you make this part of bnxt_re ?
> 
> This is not just needed for RDMA, so having the aux device for fwctl
> as part of the base driver is preferred.

Same for mlx5

I have to apologize, somehow the bnxt WIP patches got included here,
I did not intend that, it was late and I'm juggling too many things
this week.

Jason